Page MenuHomePhabricator

remove unneccessary CSS that leads to large margins on ooui special pages
Closed, ResolvedPublic

Description

We have some CSS styling for the old Wikibase special pages. With the move to ooui this special CSS leads to orverly large margins in the forms. We should remove that CSS.

BeforeAfter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 2:07 PM

Maybe @Ricordisamoa wants to have a look?

aude added a subscriber: aude.Mar 6 2017, 2:57 PM

I notice this issue yesterday...

ooui adds margin-top for each field:

margin-top: 1.171875em;

we also use wb-input css class which adds margin-bottom:

margin-bottom: 1em;

It might be work to remove the margin-bottom, if that's no longer needed anywhere or move that to a separate css class that is only used in places where it still needed

We should remove this margin. I don't believe it is needed any more. Everything switched to OOUI. If it is still needed somewhere we should fix these places later with much more specific CSS, not by simply adding a margin to a selector as generic as wb-input.

Change 341487 had a related patch set uploaded (by aude):
[mediawiki/extensions/Wikibase] Remove excess bottom margin for special page input fields

https://gerrit.wikimedia.org/r/341487

thiemowmde closed this task as Resolved.Mar 7 2017, 10:01 AM
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde assigned this task to aude.
thiemowmde moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.

Change 341487 merged by jenkins-bot:
[mediawiki/extensions/Wikibase] Remove excess bottom margin for special page input fields

https://gerrit.wikimedia.org/r/341487

I chose to keep .wb-input in the patches for T48248 to avoid changing the layout too much but now I'm realizing that the huge wasted space was actually its fault...

Ricordisamoa updated the task description. (Show Details)Mar 8 2017, 12:13 PM